function preprocess_kddcup99(jldname, path)
	dest = joinpath(dirname(path), jldname)
	@assert isfile(path)
	DataDeps.unpack(path)
	unpacked_name = remove_extension(path)
	df = CSV.read(unpacked_name, DataFrame ; header = 0, pool = true)
	convert_categorical_columns!(df)
	X = copy(convert(Matrix, df)')
	JLD.save(dest, "X", X)
	rm(unpacked_name)
end

preprocess_kddcup99_large(path) = preprocess_kddcup99("kddcup99.jld", path)
preprocess_kddcup99_small(path) = preprocess_kddcup99("kddcup99_small.jld", path)
